import { environment } from "src/environments/environment"
import { TagModel } from "./tag.mmodel"
import { GroupModel } from "./group.mmodel"

export interface ExcelContentModel {  
    excelId: string
    thName: string
    engName: string
    thDesc: string
    engDesc: string
    thumbnail: string
    link1: string
    dbSupport: string
    excelObj: string
    isPivot: number
    isDataGrid: number
    uploadBy: string
    uploadDate: string
    uploadTime: string
    dwTime: number
    downloadDate: string
    downloadTime: string
    remark: string
    referId: string
    approveBy: string
    approveDate: string
    approveTime: string
    tags: TagModel[]
    group: GroupModel
}

export class ExcelContentModel implements ExcelContentModel {
    excelId: string
    thName: string
    engName: string
    thDesc: string
    engDesc: string
    thumbnail: string
    link1: string
    dbSupport: string
    excelObj: string
    isPivot: number
    isDataGrid: number
    uploadBy: string
    uploadDate: string
    uploadTime: string
    dwTime: number
    downloadDate: string
    downloadTime: string
    remark: string
    referId: string
    approveBy: string
    approveDate: string
    approveTime: string
    tags: TagModel[]
    group: GroupModel
    constructor(data: Partial<any>) {
        this.excelId = data.excelId?data.excelId:''
        this.thumbnail = data.thumbnail?data.thumbnail:''
        this.link1 = data.link1?data.link1:''
        this.dbSupport = data.dbSupport?data.dbSupport:''
        this.excelObj = data.excelObj?data.excelObj:''
        this.uploadBy = data.uploadBy?data.uploadBy:''
        this.remark = data.remark?data.remark:''
        this.dwTime = data.dwTime?data.dwTime:0
        this.approveBy = data.approveBy?data.approveBy:''
        this.thName = data.thName?data.thName:''
        this.engName = data.engName?data.engName:''
        this.thDesc = data.thDesc?data.thDesc:''
        this.engDesc = data.engDesc?data.engDesc:''
        this.referId = data.referId?data.referId:''
        this.isPivot = data.isPivot?data.isPivot:0
        this.isDataGrid = data.isDataGrid?data.isDataGrid:0
        this.uploadDate = data.uploadDate?data.uploadDate:''
        this.uploadTime = data.uploadTime?data.uploadTime:''
        this.downloadDate = data.downloadDate?data.downloadDate:''
        this.downloadTime = data.downloadTime?data.downloadTime:''
        this.approveDate = data.approveDate?data.approveDate:''
        this.approveTime = data.approveTime?data.approveTime:''
        this.tags = data.tags?data.tags:''
        this.group = data.group?new GroupModel(data.group):new GroupModel({})
    }
    getImage(){
        if(this.thumbnail){
            return environment.url+"files/image/"+this.thumbnail
        }else{
            return 'assets/images/big/auth-bg.jpg'
        }
    }
}